com.jscape.inet.ssh.protocol.v2.transport.keyexchange

## Class HostKeyVerificationService.InvalidHostKeyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.jscape.inet.ssh.protocol.v2.transport.keyexchange.HostKeyVerificationService.OperationException
      - - com.jscape.inet.ssh.protocol.v2.transport.keyexchange.HostKeyVerificationService.InvalidHostKeyException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing interface:
    HostKeyVerificationService

      public static class HostKeyVerificationService.InvalidHostKeyException
      extends HostKeyVerificationService.OperationException

  Represents a verification failure.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.net.InetAddress` | `host`
    `java.security.PublicKey` | `key`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidHostKeyException(java.net.InetAddress host, java.security.PublicKey key)`

  - ### Method Summary

    - ### Methods inherited from class com.jscape.inet.ssh.protocol.v2.transport.keyexchange.HostKeyVerificationService.OperationException

      `wrap`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### host

          public final java.net.InetAddress host

    - #### key

          public final java.security.PublicKey key

  - ### Constructor Detail

    - #### InvalidHostKeyException

          public InvalidHostKeyException(java.net.InetAddress host,
                                         java.security.PublicKey key)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved